Subject: Re: Aluminum Finishing and Polishing Frustrating as ---

From: PAUL <[email-masked]>
Date: Sat, 8 Apr 95 12:58:21 -0500

Brian Crowe <[email-masked]> writes:
 
>As I polish and polish my aluminum, I have some real frustrations.  I want
>a mirror finish that I will later anodize clear.  I start out with 5" 220
>grit discs on a random orbit sander turning at 1700 RPM.  Go to 320, 400,
 
I was amazed at the success of using Water Soulable Cutting Oil (Straight,
without water added) on a Scotch-Brite pad for polishing in the lathe. Perhaps
you could adapt this method to your sander. It comes out like a Mirrir!
 
(mirror)
Good Luck!